Subject: [AVT] Timestamp reference for G.711 and CN packets

From: "Jagan Mohan" <[email-masked]>
Date: Wed, 28 Nov 2007 09:56:08 +0530

Hi,

  I would like to know whether the timestamp reference should be the same
for G.711 and CN packets in RTP header.

  Here is the abstract from Section 4 of RFC3389:

  The RTP header for the comfort noise packet SHOULD be constructed as
   if the comfort noise were an independent codec.  Thus, the RTP
   timestamp designates the beginning of the comfort noise period.

   Does this mean that the timestamp reference would be different for
G.711and CN packets.

TIA,
Jagan
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: "SOLLAUD Aurelien RD-TECH-LAN" <[email-masked]>
Date: Wed, 28 Nov 2007 09:36:53 +0100

Hi
 
Generally, G.711 and CN are used in the same RTP session (declared on the same m=audio line in SDP). So they share the same timestamp (and sequence number) reference.
 
Aurélien

________________________________

	De : Jagan Mohan [mailto:[email-masked]] 
	Envoyé : mercredi 28 novembre 2007 05:26
	À : [email-masked]
	Objet : [AVT] Timestamp reference for G.711 and CN packets

	Hi,
	 
	  I would like to know whether the timestamp reference should be the same for G.711 and CN packets in RTP header.

	 
	   Does this mean that the timestamp reference would be different for G.711 and CN packets.
	 
	TIA,
	Jagan